Subject: Re: [syzbot] KASAN: null-ptr-deref Write in l2cap_chan_put

From: syzbot <[email-masked]>
Date: Fri, 26 Nov 2021 08:47:09 -0800

syzbot suspects this issue was fixed by commit:

commit 1bff51ea59a9afb67d2dd78518ab0582a54a472c
Author: Wang ShaoBo <[email-masked]>
Date:   Wed Sep 1 00:35:37 2021 +0000

    Bluetooth: fix use-after-free error in lock_sock_nested()

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=141cfa45b00000
start commit:   c70672d8d316 Merge tag 's390-5.9-5' of git://git.kernel.or..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=bd46548257448703
dashboard link: https://syzkaller.appspot.com/bug?extid=452e9465a3b2817fa4c2
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=152f31f9900000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: Bluetooth: fix use-after-free error in lock_sock_nested()

For information about bisection process see: https://goo.gl/tpsmEJ#bisection